"use client";

import React from "react";
import { Mask } from "antd-mobile";
export default function DefaultMask({
  visible,
  closeMask,
  handleClick,
  title,
  content
}) {

  return (
    <Mask visible={visible}>
      <div className="relative w-screen h-screen">
        <div className="w-full h-full" onClick={() => closeMask(false)}></div>
        <div className="absolute top-1/2 left-1/2 -ml-[35vw] -mt-[35vw] w-[70vw] h-max flex flex-col justify-center items-center p-4 bg-[#261e30] rounded-2xl pointer-events-auto">
          
          <p>{title}</p>
          <p>{content}</p>
          <div
            className="px-8 py-2 rounded-full flex items-center mt-2 bg-gradient-to-r from-[#FF668B] to-[#FF66F0]"
            onClick={handleClick}
          >
            <span className="text-base">确定</span>
          </div>
        </div>
      </div>
    </Mask>
  );
}
